from enum import Enum


class SlackEventType(Enum):
    APP_HOME_OPENED = 'app_home_opened'
    APP_MENTION = 'app_mention'
    APP_RATE_LIMITED = 'app_rate_limited'
    APP_REQUESTED = 'app_requested'
    APP_UNINSTALLED = 'app_uninstalled'
    CALL_REJECTED = 'call_rejected'
    CHANNEL_ARCHIVE = 'channel_archive'
    CHANNEL_CREATED = 'channel_created'
    CHANNEL_DELETED = 'channel_deleted'
    CHANNEL_HISTORY_CHANGED = 'channel_history_changed'
    CHANNEL_LEFT = 'channel_left'
    CHANNEL_RENAME = 'channel_rename'
    CHANNEL_SHARED = 'channel_shared'
    CHANNEL_UNARCHIVE = 'channel_unarchive'
    CHANNEL_UNSHARED = 'channel_unshared'
    DND_UPDATED = 'dnd_updated'
    DND_UPDATED_USER = 'dnd_updated_user'
    EMAIL_DOMAIN_CHANGED = 'email_domain_changed'
    EMOJI_CHANGED = 'emoji_changed'
    FILE_CHANGE = 'file_change'
    FILE_COMMENT_ADDED = 'file_comment_added'
    FILE_COMMENT_DELETED = 'file_comment_deleted'
    FILE_COMMENT_EDITED = 'file_comment_edited'
    FILE_CREATED = 'file_created'
    FILE_DELETED = 'file_deleted'
    FILE_PUBLIC = 'file_public'
    FILE_SHARED = 'file_shared'
    FILE_UNSHARED = 'file_unshared'
    GRID_MIGRATION_FINISHED = 'grid_migration_finished'
    GRID_MIGRATION_STARTED = 'grid_migration_started'
    GROUP_ARCHIVE = 'group_archive'
    GROUP_CLOSE = 'group_close'
    GROUP_DELETED = 'group_deleted'
    GROUP_HISTORY_CHANGED = 'group_history_changed'
    GROUP_LEFT = 'group_left'
    GROUP_MARKED = 'group_marked'
    GROUP_OPEN = 'group_open'
    GROUP_RENAME = 'group_rename'
    GROUP_UNARCHIVE = 'group_unarchive'
    IM_CLOSE = 'im_close'
    IM_CREATED = 'im_created'
    IM_HISTORY_CHANGED = 'im_history_changed'
    IM_OPEN = 'im_open'
    INVITE_REQUESTED = 'invite_requested'
    LINK_SHARED = 'link_shared'
    MEMBER_JOINED_CHANNEL = 'member_joined_channel'
    MEMBER_LEFT_CHANNEL = 'member_left_channel'
    PIN_ADDED = 'pin_added'
    PIN_REMOVED = 'pin_removed'
    REACTION_ADDED = 'reaction_added'
    REACTION_REMOVED = 'reaction_removed'
    RESOURCES_ADDED = 'resources_added'
    RESOURCES_REMOVED = 'resources_removed'
    SCOPE_DENIED = 'scope_denied'
    SCOPE_GRANTED = 'scope_granted'
    STAR_ADDED = 'star_added'
    STAR_REMOVED = 'star_removed'
    SUBTEAM_CREATED = 'subteam_created'
    SUBTEAM_MEMBERS_CHANGED = 'subteam_members_changed'
    SUBTEAM_SELF_ADDED = 'subteam_self_added'
    SUBTEAM_SELF_REMOVED = 'subteam_self_removed'
    SUBTEAM_UPDATED = 'subteam_updated'
    TEAM_DOMAIN_CHANGE = 'team_domain_change'
    TEAM_JOIN = 'team_join'
    TEAM_RENAME = 'team_rename'
    TOKENS_REVOKED = 'tokens_revoked'
    URL_VERIFICATION = 'url_verification'
    USER_CHANGE = 'user_change'
    USER_RESOURCE_DENIED = 'user_resource_denied'
    USER_RESOURCE_GRANTED = 'user_resource_granted'
    USER_RESOURCE_REMOVED = 'user_resource_removed'
